1. Packages
  2. Packages
  3. AWS Cloud Control
  4. API Docs
  5. bedrockagentcore
  6. Dataset

We recommend new projects start with resources from the AWS provider.

Viewing docs for AWS Cloud Control v1.67.0
published on Monday, May 25, 2026 by Pulumi
aws-native logo

We recommend new projects start with resources from the AWS provider.

Viewing docs for AWS Cloud Control v1.67.0
published on Monday, May 25, 2026 by Pulumi

    Definition of AWS::BedrockAgentCore::Dataset Resource Type

    Create Dataset Resource

    Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.

    Constructor syntax

    new Dataset(name: string, args: DatasetArgs, opts?: CustomResourceOptions);
    @overload
    def Dataset(resource_name: str,
                args: DatasetArgs,
                opts: Optional[ResourceOptions] = None)
    
    @overload
    def Dataset(resource_name: str,
                opts: Optional[ResourceOptions] = None,
                schema_type: Optional[DatasetSchemaType] = None,
                dataset_name: Optional[str] = None,
                description: Optional[str] = None,
                kms_key_arn: Optional[str] = None,
                source: Optional[DatasetDataSourceTypeArgs] = None,
                tags: Optional[Sequence[_root_inputs.TagArgs]] = None)
    func NewDataset(ctx *Context, name string, args DatasetArgs, opts ...ResourceOption) (*Dataset, error)
    public Dataset(string name, DatasetArgs args, CustomResourceOptions? opts = null)
    public Dataset(String name, DatasetArgs args)
    public Dataset(String name, DatasetArgs args, CustomResourceOptions options)
    
    type: aws-native:bedrockagentcore:Dataset
    properties: # The arguments to resource properties.
    options: # Bag of options to control resource's behavior.
    
    
    resource "aws-native_bedrockagentcore_dataset" "name" {
        # resource properties
    }

    Parameters

    name string
    The unique name of the resource.
    args DatasetArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    resource_name str
    The unique name of the resource.
    args DatasetArgs
    The arguments to resource properties.
    opts ResourceOptions
    Bag of options to control resource's behavior.
    ctx Context
    Context object for the current deployment.
    name string
    The unique name of the resource.
    args DatasetArgs
    The arguments to resource properties.
    opts ResourceOption
    Bag of options to control resource's behavior.
    name string
    The unique name of the resource.
    args DatasetArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    name String
    The unique name of the resource.
    args DatasetArgs
    The arguments to resource properties.
    options CustomResourceOptions
    Bag of options to control resource's behavior.

    Dataset Resource Properties

    To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.

    Inputs

    In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.

    The Dataset resource accepts the following input properties:

    SchemaType Pulumi.AwsNative.BedrockAgentCore.DatasetSchemaType
    Versioned schema type governing the structure of examples. Immutable after creation.
    DatasetName string
    Human-readable name for the dataset. Unique within the account (case-insensitive). Immutable after creation.
    Description string
    A description of the dataset.
    KmsKeyArn string
    Optional AWS KMS key ARN for SSE-KMS on service S3 writes.
    Source Pulumi.AwsNative.BedrockAgentCore.Inputs.DatasetDataSourceType
    Tags List<Pulumi.AwsNative.Inputs.Tag>
    A list of tags to assign to the dataset.
    SchemaType DatasetSchemaType
    Versioned schema type governing the structure of examples. Immutable after creation.
    DatasetName string
    Human-readable name for the dataset. Unique within the account (case-insensitive). Immutable after creation.
    Description string
    A description of the dataset.
    KmsKeyArn string
    Optional AWS KMS key ARN for SSE-KMS on service S3 writes.
    Source DatasetDataSourceTypeArgs
    Tags TagArgs
    A list of tags to assign to the dataset.
    schema_type "AGENTCORE_EVALUATION_PREDEFINED_V1" | "AGENTCORE_EVALUATION_SIMULATED_V1"
    Versioned schema type governing the structure of examples. Immutable after creation.
    dataset_name string
    Human-readable name for the dataset. Unique within the account (case-insensitive). Immutable after creation.
    description string
    A description of the dataset.
    kms_key_arn string
    Optional AWS KMS key ARN for SSE-KMS on service S3 writes.
    source object
    tags list(object)
    A list of tags to assign to the dataset.
    schemaType DatasetSchemaType
    Versioned schema type governing the structure of examples. Immutable after creation.
    datasetName String
    Human-readable name for the dataset. Unique within the account (case-insensitive). Immutable after creation.
    description String
    A description of the dataset.
    kmsKeyArn String
    Optional AWS KMS key ARN for SSE-KMS on service S3 writes.
    source DatasetDataSourceType
    tags List<Tag>
    A list of tags to assign to the dataset.
    schemaType DatasetSchemaType
    Versioned schema type governing the structure of examples. Immutable after creation.
    datasetName string
    Human-readable name for the dataset. Unique within the account (case-insensitive). Immutable after creation.
    description string
    A description of the dataset.
    kmsKeyArn string
    Optional AWS KMS key ARN for SSE-KMS on service S3 writes.
    source DatasetDataSourceType
    tags Tag[]
    A list of tags to assign to the dataset.
    schema_type DatasetSchemaType
    Versioned schema type governing the structure of examples. Immutable after creation.
    dataset_name str
    Human-readable name for the dataset. Unique within the account (case-insensitive). Immutable after creation.
    description str
    A description of the dataset.
    kms_key_arn str
    Optional AWS KMS key ARN for SSE-KMS on service S3 writes.
    source DatasetDataSourceTypeArgs
    tags Sequence[TagArgs]
    A list of tags to assign to the dataset.
    schemaType "AGENTCORE_EVALUATION_PREDEFINED_V1" | "AGENTCORE_EVALUATION_SIMULATED_V1"
    Versioned schema type governing the structure of examples. Immutable after creation.
    datasetName String
    Human-readable name for the dataset. Unique within the account (case-insensitive). Immutable after creation.
    description String
    A description of the dataset.
    kmsKeyArn String
    Optional AWS KMS key ARN for SSE-KMS on service S3 writes.
    source Property Map
    tags List<Property Map>
    A list of tags to assign to the dataset.

    Outputs

    All input properties are implicitly available as output properties. Additionally, the Dataset resource produces the following output properties:

    CreatedAt string
    The timestamp when the dataset was created.
    DatasetArn string
    The Amazon Resource Name (ARN) of the dataset.
    DatasetId string
    The unique identifier of the dataset.
    ExampleCount int
    The number of examples in the dataset DRAFT.
    Id string
    The provider-assigned unique ID for this managed resource.
    Status Pulumi.AwsNative.BedrockAgentCore.DatasetStatus
    The current status of the dataset.
    UpdatedAt string
    The timestamp when the dataset was last updated.
    CreatedAt string
    The timestamp when the dataset was created.
    DatasetArn string
    The Amazon Resource Name (ARN) of the dataset.
    DatasetId string
    The unique identifier of the dataset.
    ExampleCount int
    The number of examples in the dataset DRAFT.
    Id string
    The provider-assigned unique ID for this managed resource.
    Status DatasetStatus
    The current status of the dataset.
    UpdatedAt string
    The timestamp when the dataset was last updated.
    created_at string
    The timestamp when the dataset was created.
    dataset_arn string
    The Amazon Resource Name (ARN) of the dataset.
    dataset_id string
    The unique identifier of the dataset.
    example_count number
    The number of examples in the dataset DRAFT.
    id string
    The provider-assigned unique ID for this managed resource.
    status "CREATING" | "UPDATING" | "DELETING" | "ACTIVE" | "CREATE_FAILED" | "UPDATE_FAILED" | "DELETE_FAILED"
    The current status of the dataset.
    updated_at string
    The timestamp when the dataset was last updated.
    createdAt String
    The timestamp when the dataset was created.
    datasetArn String
    The Amazon Resource Name (ARN) of the dataset.
    datasetId String
    The unique identifier of the dataset.
    exampleCount Integer
    The number of examples in the dataset DRAFT.
    id String
    The provider-assigned unique ID for this managed resource.
    status DatasetStatus
    The current status of the dataset.
    updatedAt String
    The timestamp when the dataset was last updated.
    createdAt string
    The timestamp when the dataset was created.
    datasetArn string
    The Amazon Resource Name (ARN) of the dataset.
    datasetId string
    The unique identifier of the dataset.
    exampleCount number
    The number of examples in the dataset DRAFT.
    id string
    The provider-assigned unique ID for this managed resource.
    status DatasetStatus
    The current status of the dataset.
    updatedAt string
    The timestamp when the dataset was last updated.
    created_at str
    The timestamp when the dataset was created.
    dataset_arn str
    The Amazon Resource Name (ARN) of the dataset.
    dataset_id str
    The unique identifier of the dataset.
    example_count int
    The number of examples in the dataset DRAFT.
    id str
    The provider-assigned unique ID for this managed resource.
    status DatasetStatus
    The current status of the dataset.
    updated_at str
    The timestamp when the dataset was last updated.
    createdAt String
    The timestamp when the dataset was created.
    datasetArn String
    The Amazon Resource Name (ARN) of the dataset.
    datasetId String
    The unique identifier of the dataset.
    exampleCount Number
    The number of examples in the dataset DRAFT.
    id String
    The provider-assigned unique ID for this managed resource.
    status "CREATING" | "UPDATING" | "DELETING" | "ACTIVE" | "CREATE_FAILED" | "UPDATE_FAILED" | "DELETE_FAILED"
    The current status of the dataset.
    updatedAt String
    The timestamp when the dataset was last updated.

    Supporting Types

    DatasetDataSourceType, DatasetDataSourceTypeArgs

    Source of initial examples. Provide either inline examples or an S3 URI pointing to a JSONL file.

    DatasetInlineExamplesSource, DatasetInlineExamplesSourceArgs

    Inline examples provided directly in the request body.
    Examples List<object>
    Examples to add. Each example is a free-form JSON document validated against the declared schemaType.
    Examples []interface{}
    Examples to add. Each example is a free-form JSON document validated against the declared schemaType.
    examples list(any)
    Examples to add. Each example is a free-form JSON document validated against the declared schemaType.
    examples List<Object>
    Examples to add. Each example is a free-form JSON document validated against the declared schemaType.
    examples any[]
    Examples to add. Each example is a free-form JSON document validated against the declared schemaType.
    examples Sequence[Any]
    Examples to add. Each example is a free-form JSON document validated against the declared schemaType.
    examples List<Any>
    Examples to add. Each example is a free-form JSON document validated against the declared schemaType.

    DatasetS3Source, DatasetS3SourceArgs

    S3 location of a JSONL file containing dataset examples.
    S3Uri string
    S3 URI of the JSONL file (e.g. s3://my-bucket/path/to/examples.jsonl).
    S3Uri string
    S3 URI of the JSONL file (e.g. s3://my-bucket/path/to/examples.jsonl).
    s3_uri string
    S3 URI of the JSONL file (e.g. s3://my-bucket/path/to/examples.jsonl).
    s3Uri String
    S3 URI of the JSONL file (e.g. s3://my-bucket/path/to/examples.jsonl).
    s3Uri string
    S3 URI of the JSONL file (e.g. s3://my-bucket/path/to/examples.jsonl).
    s3_uri str
    S3 URI of the JSONL file (e.g. s3://my-bucket/path/to/examples.jsonl).
    s3Uri String
    S3 URI of the JSONL file (e.g. s3://my-bucket/path/to/examples.jsonl).

    DatasetSchemaType, DatasetSchemaTypeArgs

    AgentcoreEvaluationPredefinedV1
    AGENTCORE_EVALUATION_PREDEFINED_V1
    AgentcoreEvaluationSimulatedV1
    AGENTCORE_EVALUATION_SIMULATED_V1
    DatasetSchemaTypeAgentcoreEvaluationPredefinedV1
    AGENTCORE_EVALUATION_PREDEFINED_V1
    DatasetSchemaTypeAgentcoreEvaluationSimulatedV1
    AGENTCORE_EVALUATION_SIMULATED_V1
    "AGENTCORE_EVALUATION_PREDEFINED_V1"
    AGENTCORE_EVALUATION_PREDEFINED_V1
    "AGENTCORE_EVALUATION_SIMULATED_V1"
    AGENTCORE_EVALUATION_SIMULATED_V1
    AgentcoreEvaluationPredefinedV1
    AGENTCORE_EVALUATION_PREDEFINED_V1
    AgentcoreEvaluationSimulatedV1
    AGENTCORE_EVALUATION_SIMULATED_V1
    AgentcoreEvaluationPredefinedV1
    AGENTCORE_EVALUATION_PREDEFINED_V1
    AgentcoreEvaluationSimulatedV1
    AGENTCORE_EVALUATION_SIMULATED_V1
    AGENTCORE_EVALUATION_PREDEFINED_V1
    AGENTCORE_EVALUATION_PREDEFINED_V1
    AGENTCORE_EVALUATION_SIMULATED_V1
    AGENTCORE_EVALUATION_SIMULATED_V1
    "AGENTCORE_EVALUATION_PREDEFINED_V1"
    AGENTCORE_EVALUATION_PREDEFINED_V1
    "AGENTCORE_EVALUATION_SIMULATED_V1"
    AGENTCORE_EVALUATION_SIMULATED_V1

    DatasetStatus, DatasetStatusArgs

    Creating
    CREATING
    Updating
    UPDATING
    Deleting
    DELETING
    Active
    ACTIVE
    CreateFailed
    CREATE_FAILED
    UpdateFailed
    UPDATE_FAILED
    DeleteFailed
    DELETE_FAILED
    DatasetStatusCreating
    CREATING
    DatasetStatusUpdating
    UPDATING
    DatasetStatusDeleting
    DELETING
    DatasetStatusActive
    ACTIVE
    DatasetStatusCreateFailed
    CREATE_FAILED
    DatasetStatusUpdateFailed
    UPDATE_FAILED
    DatasetStatusDeleteFailed
    DELETE_FAILED
    "CREATING"
    CREATING
    "UPDATING"
    UPDATING
    "DELETING"
    DELETING
    "ACTIVE"
    ACTIVE
    "CREATE_FAILED"
    CREATE_FAILED
    "UPDATE_FAILED"
    UPDATE_FAILED
    "DELETE_FAILED"
    DELETE_FAILED
    Creating
    CREATING
    Updating
    UPDATING
    Deleting
    DELETING
    Active
    ACTIVE
    CreateFailed
    CREATE_FAILED
    UpdateFailed
    UPDATE_FAILED
    DeleteFailed
    DELETE_FAILED
    Creating
    CREATING
    Updating
    UPDATING
    Deleting
    DELETING
    Active
    ACTIVE
    CreateFailed
    CREATE_FAILED
    UpdateFailed
    UPDATE_FAILED
    DeleteFailed
    DELETE_FAILED
    CREATING
    CREATING
    UPDATING
    UPDATING
    DELETING
    DELETING
    ACTIVE
    ACTIVE
    CREATE_FAILED
    CREATE_FAILED
    UPDATE_FAILED
    UPDATE_FAILED
    DELETE_FAILED
    DELETE_FAILED
    "CREATING"
    CREATING
    "UPDATING"
    UPDATING
    "DELETING"
    DELETING
    "ACTIVE"
    ACTIVE
    "CREATE_FAILED"
    CREATE_FAILED
    "UPDATE_FAILED"
    UPDATE_FAILED
    "DELETE_FAILED"
    DELETE_FAILED

    Tag, TagArgs

    A set of tags to apply to the resource.
    Key string
    The key name of the tag
    Value string
    The value of the tag
    Key string
    The key name of the tag
    Value string
    The value of the tag
    key string
    The key name of the tag
    value string
    The value of the tag
    key String
    The key name of the tag
    value String
    The value of the tag
    key string
    The key name of the tag
    value string
    The value of the tag
    key str
    The key name of the tag
    value str
    The value of the tag
    key String
    The key name of the tag
    value String
    The value of the tag

    Package Details

    Repository
    AWS Native pulumi/pulumi-aws-native
    License
    Apache-2.0
    aws-native logo

    We recommend new projects start with resources from the AWS provider.

    Viewing docs for AWS Cloud Control v1.67.0
    published on Monday, May 25, 2026 by Pulumi

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial